help-cfengine
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: compile error on ver. 2.1.6


From: dharmin
Subject: Re: compile error on ver. 2.1.6
Date: 27 Jun 2004 05:17:20 -0700

Hi

Managed to resolve my problem.

I had installed bison from www.sunfreeware.com , this was causing the
problem.

Installed bison from www.freeware4sun.com and all was fine, was able
to run make & make install.

Regards
Dharmin



address@hidden (dharmin) wrote in message news:<address@hidden>...
> Hi
> 
> I am running Solaris 8 on SunFire V100 , with following installed :-
>  - gcc-3.3.2   ; - m4-1.4   ; - bison-1.875   ; - flex-2.5.4a  ; - 
> Berkley db-4.2.52   ;   - openssl-0.9.7d
> 
> When compiling cfengine version 2.1.6 , configure sees everything
> above and when run make , see below error ....................
> 
> /bin/bash ../ylwrap cfparse.y y.tab.c cfparse.c y.tab.h cfparse.h
> y.output cfparse.output -- bison -y  -d
> got /var/tmp/cfengine-2\.1\.6/src/
> M4sugar requires GNU M4. Install it before installing M4sugar or
> set the M4 environment variable to its path name.../ylwrap: line 82: 
> 5212 Broken Pipe             $prog ${1+"$@"} "$input"
> *** Error code 1
> make: Fatal error: Command failed for target `cfparse.c'
> Current working directory /var/tmp/cfengine-2.1.6/src
> *** Error code 1
> make: Fatal error: Command failed for target `check-recursive'
> seine $ pwd
> /var/tmp/cfengine-2.1.6
> 
> 
> Can someone please advice on how to resolve the above error.
> 
> Apreciate your help.
> 
> regards
> Dharmin


reply via email to

[Prev in Thread] Current Thread [Next in Thread]